<?php
/*
Plugin Name: Integração Paggue PIX para WooCommerce
Plugin URI: https://acodecs.tech/
Description: Plugin para Integração entre Paggue WordPress
Version: 1.0.1
Author: Acodecs
Author URI: http://acodecs.tech
*/

/**
*  ------------------------------------------------------------------------------------------------
*
*
*   REGISTERS
*
*
*  ------------------------------------------------------------------------------------------------
*/
add_action( 'wp_enqueue_scripts', 'paggue_registers' );
 
function paggue_registers() {

   wp_register_script( 'scripts-paggue', get_site_url()."/wp-content/plugins/acodecs-paggue-pix/assets/js/scripts.js?v=".date("dmYHisu"), array( 'jquery' ), '1.0.0', true );

	 wp_enqueue_script( 'scripts-paggue', add_query_arg( $args, get_site_url() ) );
   
	 wp_enqueue_style( 'style-paggue', get_site_url()."/wp-content/plugins/acodecs-paggue-pix/assets/css/style.css?v=".date("dmYHisu") );
	  
}


/**
*  ------------------------------------------------------------------------------------------------
*
*
*   GENERICAS
*
*
*  ------------------------------------------------------------------------------------------------
*/
require("includes/genericas.php");

/**
*  ------------------------------------------------------------------------------------------------
*
*
*   ACF FIELDS
*
*
*  ------------------------------------------------------------------------------------------------
*/
if( function_exists('acf_add_local_field_group') ):

	require("includes/acf.php");
				
endif;

/**
*  ------------------------------------------------------------------------------------------------
*
*
*   INTEGRAÇÕES
*
*
*  ------------------------------------------------------------------------------------------------
*/
require("includes/paggue-api.php");

/**
*  ------------------------------------------------------------------------------------------------
*
*
*   GATEWAY DE PAGAMENTO WOOCOMMERCE
*
*
*  ------------------------------------------------------------------------------------------------
*/
require("includes/woocommerce.php");

/**
*  ------------------------------------------------------------------------------------------------
*
*
*   INTEGRAÇÕES COM A PLATAFORMA BETWP
*
*
*  ------------------------------------------------------------------------------------------------
*/
require("includes/betwp.php");

/**
*  ------------------------------------------------------------------------------------------------
*
*
*   AJAX PIX EXPRESS
*
*
*  ------------------------------------------------------------------------------------------------
*/
require("includes/ajax-express.php");

/**
*  ------------------------------------------------------------------------------------------------
*
*
*   CRON
*
*
*  ------------------------------------------------------------------------------------------------
*/
require("includes/cron.php");

/**
*  ------------------------------------------------------------------------------------------------
*
*
*   SAQUE
*
*
*  ------------------------------------------------------------------------------------------------
*/
require("includes/saque.php");


/**
*  ------------------------------------------------------------------------------------------------
*
*
*   API WEBHOOK NOTIFICAÇÕES
*
*
*  ------------------------------------------------------------------------------------------------
*/
require("includes/api.php");


?>