<?php 

	//add_action("pluginbetwp_minha_conta_pos_info_saldo","fn_pagtos_pendentes");

	function fn_pagtos_pendentes(){

			$usuario_id = get_current_user_id();

			// Argumentos da consulta
		    $args = array(
		        'post_type'      => 'shop_order',
		        'post_status'    => array('wc-pending', 'wc-on-hold'), // "aguardando" e "aguardando pagamento" respectivamente
		        'posts_per_page' => -1,
		        'meta_key'       => '_customer_user',
		        'meta_value'     => $usuario_id
		    );

		    $orders = get_posts($args);

		    if($orders):
		    ?>

		    	<h3 class="primepag-titulo-pagtos-pendentes" style="margin-bottom: 20px;margin-top: 40px;font-weight: bold;font-size: 28px;">
		    		Você tem depósitos pendentes:
		    	</h3>

		    <?php
		    endif;
		    
		    foreach ($orders as $order_post) {
		        $order = wc_get_order($order_post->ID);

		        // Número do pedido
		        $order_id = $order->get_id();

		        // Data do pedido
		        $order_date = $order->get_date_created();
		        $formatted_date = $order_date->date('d/m/Y H:i');

		        // Valor total do pedido
		        $order_total = $order->get_total();

		        // Exibindo os detalhes
		        echo "<p>Pedido Nº: " . $order_id . " (" . $formatted_date . ") - R$" .$order_total . ' <a href="'.$order->get_checkout_order_received_url().'" class="btn depositar" style="margin-bottom:12px;color:#fff;">Confirmar Pagamento</a></p>';
		        
		    }

	}


?>