<?php 

function saque_auto_primepag($id_solic) {


     $usuario = get_field("usuario", $id_solic);

     $chave_pix    = get_the_author_meta("chave_pix", $usuario );
     $titular      = get_the_author_meta("titular_pix", $usuario );
     $tipo_chave      = get_the_author_meta("tipo_chave_pix", $usuario );
     $cpf_titular_pix = get_the_author_meta("cpf_titular_pix", $usuario );

     if($chave_pix==""||$titular==""||$tipo_chave==""||$cpf_titular_pix==""):
        //return false;
     endif;

     $cpf_titular_pix = str_replace(".","",$cpf_titular_pix);
     $cpf_titular_pix = str_replace("-","",$cpf_titular_pix);
     $cpf_titular_pix = str_replace(" ","",$cpf_titular_pix);
     $cpf_titular_pix = str_replace("/","",$cpf_titular_pix);
     $cpf_titular_pix = str_replace("-","",$cpf_titular_pix);
    
     if($chave_pix=="cpf/cnpj"):

        $chave_pix = str_replace(".","",$chave_pix);
        $chave_pix = str_replace("-","",$chave_pix);
        $chave_pix = str_replace(" ","",$chave_pix);
        $chave_pix = str_replace("/","",$chave_pix);
        $chave_pix = str_replace("-","",$chave_pix);
     
     endif;

     // Obtenha todas as configurações do gateway
     $gateway_settings = get_option('woocommerce_primepaggateway_settings');

     if($gateway_settings['enabled_pix_autosaque']!='yes') return false;

     $gate_title = $gateway_settings['title'];
     $gate_description = $gateway_settings['description'];
     $gate_enabled = $gateway_settings['enabled'];
     $gate_client_id = $gateway_settings['client_id'];
     $gate_client_secret = $gateway_settings['client_secret'];
     
     $gate_url_de_conexao_api_producao = $gateway_settings['url_de_conexao_api'];
 
     
     $primepag_url = $gate_url_de_conexao_api_producao;
     $gate_client_id = $gateway_settings['client_id'];
     $gate_client_secret = $gateway_settings['client_secret'];
     
     $pre_token = primepag_token($primepag_url,$gate_client_id,$gate_client_secret);

     $ex = explode("###",$pre_token);
     $token = $ex[0];
     $companie = $ex[1];


     $valor_saque = get_field("valor_da_solicitacao_de_saque",$id_solic);
     $valor_saque = (int)($valor_saque * 100);

     if($tipo_chave=="email") $type = "email";
     if($tipo_chave=="celular") $type = "phone";
     if($tipo_chave=="aleatorio") $type = "token";
     if($tipo_chave=="cpf/cnpj") $type = "cpf";

    $curl = curl_init();

    if($type=="phone") $chave_pix = "+55".$chave_pix;

 
    $payload = '{
        "amount": '.$valor_saque.',
        "type": 1,
        "pix_key": "'.$chave_pix.'",
        "document": "'.$cpf_titular_pix.'",
        "description": "PAGAMENTO_PARCEIRO_'.$id_solic.',
        "external_id": "'.$id_solic.'"
    }';
    
    
    curl_setopt_array($curl, array(
      CURLOPT_URL => $primepag_url . 'cashout/api/cash-out',
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => '',
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 0,
      CURLOPT_FOLLOWLOCATION => true,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_POSTFIELDS => $payload,
      CURLOPT_HTTPHEADER => array(
        'Signature: '.hash('sha256', $token),
        'X-Company-ID: '.$companie,
        'Content-Type: application/json',
        'Authorization: Bearer '.$token
        ),
    ));
    
    
    
        $response = curl_exec($curl);
   if($chave_pix==""||$titular==""||$tipo_chave==""||$cpf_titular_pix==""):
    endif;

    curl_close($curl);
   
    $response = json_decode($response, true);

    $logger = wc_get_logger();
    $logger->info( "SOLIC SAQUE: ".$id_solic, array( 'source' => 'debug-paggue-solic-saques' ) );
    $logger->info( "CHAVE PIX: ".$chave_pix, array( 'source' => 'debug-paggue-solic-saques' ) );
    $logger->info( "TITULAR: ".$titular, array( 'source' => 'debug-paggue-solic-saques' ) );
    $logger->info( "TIPO CHAVE: ".$tipo_chave, array( 'source' => 'debug-paggue-solic-saques' ) );
    $logger->info( "CPF TITULAR: ".$cpf_titular_pix, array( 'source' => 'debug-paggue-solic-saques' ) );
    $logger->info( "VALOR SAQUE: ".$valor_saque, array( 'source' => 'debug-paggue-solic-saques' ) );

    $logger->info( "ENDPOINT: ".$primepag_url . '/cashout/api/cash-out', array( 'source' => 'debug-paggue-solic-saques' ) );
    $logger->info( "PAYLOAD: ".$payload, array( 'source' => 'debug-paggue-solic-saques' ) );
    //$logger->info( "TOKEN: ".$token, array( 'source' => 'debug-primepag-solic-saques' ) );
    //$logger->info( "GATES: ".$gate_client_id." / ".$gate_client_secret, array( 'source' => 'debug-primepag-solic-saques' ) );


    if($response["error"]) $logger->info( $response["error"], array( 'source' => 'debug-paggue-solic-saques' ) );
    $logger->info( $response, array( 'source' => 'debug-paggue-solic-saques' ) );
    $logger->info( print_r($response,true), array( 'source' => 'debug-paggue-solic-saques' ) );

    if ($response === false) {
        $error_msg = curl_error($curl);
        $error_num = curl_errno($curl);
        $logger->error("Erro na chamada cURL #$error_num: $error_msg", array('source' => 'debug-paggue-solic-saques'));
    }

    $logger->info( "\n\n\n", array( 'source' => 'debug-paggue-solic-saques' ) );

    update_field( 'field_63a35dfe04aaa', $response["reference"], $id_solic ); // STATUS DA TRANSAÇÃO
    update_field( 'field_63a35dfe04aab', $response["reference"], $id_solic ); // ID DA TRANSAÇÃO
    update_field( 'field_63a35e050490a', "Aguardando", $id_solic ); // ID DA TRANSAÇÃO

}
add_action('after_solicitar_saque', 'saque_auto_primepag');


?>